## ocaml-sha 1.3

=== Makefile ===
CC = gcc
CFLAGS = -Wall -O3 -funroll-loops
OCAMLC = ocamlc
OCAMLOPT = ocamlopt

OCAMLOPTFLAGS =

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

PROGRAMS = sha1sum sha256sum sha512sum

all: sha1.cmi sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa

bins: $(PROGRAMS)

sha1sum: sha1.cmxa sha256.cmxa sha512.cmxa shasum.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -o $@ $+

sha256sum: sha1sum
	cp $< $@

sha512sum: sha1sum
	cp $< $@

sha1.cma: sha1.cmi sha1_stubs.o sha1.cmo
	$(OCAMLC) -a -o $@ -custom sha1_stubs.o sha1.cmo

sha1.cmxa: sha1.cmi sha1_stubs.o sha1.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha1_stubs.o sha1.cmx

sha256.cma: sha256.cmi sha256_stubs.o sha256.cmo
	$(OCAMLC) -a -o $@ -custom sha256_stubs.o sha256.cmo

sha256.cmxa: sha256.cmi sha256_stubs.o sha256.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha256_stubs.o sha256.cmx

sha512.cma: sha512.cmi sha512_stubs.o sha512.cmo
	$(OCAMLC) -a -o $@ -custom sha512_stubs.o sha512.cmo

sha512.cmxa: sha512.cmi sha512_stubs.o sha512.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha512_stubs.o sha512.cmx

tests: sha.test
	./sha.test

sha.test: sha1.cmxa sha256.cmxa sha512.cmxa sha.test.cmx

%.test:
	$(OCAMLOPT) -o $@ $(OCAML_BFLAGS) unix.cmxa $(OCAML_TEST_INC) $(OCAML_TEST_LIB) $+

%.test.cmo: %.test.ml
	$(OCAMLC) -c -o $@ $(OCAML_BFLAGS) -custom $(OCAML_TEST_INC) $<

%.test.cmx: %.test.ml
	$(OCAMLOPT) -c -o $@ $(OCAML_BFLAGS) $(OCAML_TEST_INC) $<

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.a *.cmo *.cmi *.cma *.cmx *.cmxa sha.test $(PROGRAMS)

## ocaml-sha 1.4

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 sha512sum: sha1sum
 	cp $< $@
 
-sha1.cma: sha1.cmi sha1_stubs.o sha1.cmo
+sha1.cma: sha.cmo sha1.cmi sha1_stubs.o sha1.cmo
 	$(OCAMLC) -a -o $@ -custom sha1_stubs.o sha1.cmo
 
-sha1.cmxa: sha1.cmi sha1_stubs.o sha1.cmx
+sha1.cmxa: sha.cmx sha1.cmi sha1_stubs.o sha1.cmx
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha1_stubs.o sha1.cmx
 
 sha256.cma: sha256.cmi sha256_stubs.o sha256.cmo

## ocaml-sha 1.5

=== Makefile ===
CC = gcc
CFLAGS = -Wall -O3 -funroll-loops
OCAMLC = ocamlc
OCAMLOPT = ocamlopt
OCAML_PATH = $(shell $(OCAMLC) -where)
CFLAGS += -I $(OCAML_PATH)

OCAMLOPTFLAGS =

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

PROGRAMS = sha1sum sha256sum sha512sum

all: sha1.cmi sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa

bins: $(PROGRAMS)

sha1sum: sha.cmx sha1.cmxa sha256.cmxa sha512.cmxa shasum.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -o $@ $+

sha256sum: sha1sum
	cp $< $@

sha512sum: sha1sum
	cp $< $@

sha1.cma: sha.cmo sha1.cmi sha1.lib.o sha1_stubs.o sha1.cmo
	$(OCAMLC) -a -o $@ -custom sha1.lib.o sha1_stubs.o sha1.cmo

sha1.cmxa: sha.cmx sha1.cmi sha1.lib.o sha1_stubs.o sha1.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha1.lib.o sha1_stubs.o sha1.cmx

sha256.cma: sha256.cmi sha256.lib.o sha256_stubs.o sha256.cmo
	$(OCAMLC) -a -o $@ -custom sha256.lib.o sha256_stubs.o sha256.cmo

sha256.cmxa: sha256.cmi sha256.lib.o sha256_stubs.o sha256.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha256.lib.o sha256_stubs.o sha256.cmx

sha512.cma: sha512.cmi sha512.lib.o sha512_stubs.o sha512.cmo
	$(OCAMLC) -a -o $@ -custom sha512.lib.o sha512_stubs.o sha512.cmo

sha512.cmxa: sha512.cmi sha512.lib.o sha512_stubs.o sha512.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -o $@ sha512.lib.o sha512_stubs.o sha512.cmx

tests: sha.test
	./sha.test

sha.test: sha1.cmxa sha256.cmxa sha512.cmxa sha.test.cmx

%.test:
	$(OCAMLOPT) -o $@ $(OCAML_BFLAGS) unix.cmxa $(OCAML_TEST_INC) $(OCAML_TEST_LIB) $+

%.test.cmo: %.test.ml
	$(OCAMLC) -c -o $@ $(OCAML_BFLAGS) -custom $(OCAML_TEST_INC) $<

%.test.cmx: %.test.ml
	$(OCAMLOPT) -c -o $@ $(OCAML_BFLAGS) $(OCAML_TEST_INC) $<

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.lib.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.a *.cmo *.cmi *.cma *.cmx *.cmxa sha.test $(PROGRAMS)

## ocaml-sha 1.6

=== Makefile ===
CFLAGS = -Wall -O3 -funroll-loops -I/usr/include
OCAMLC = ocamlc
OCAMLOPT = ocamlopt
OCAMLMKLIB = ocamlmklib

OCAMLOPTFLAGS =

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

PROGRAMS = sha1sum sha256sum sha512sum

allshabytes = $(foreach n, 1 256 512, sha$(n).lib.o sha$(n)_stubs.o sha$(n).cmo)
allshaopts  = $(foreach n, 1 256 512, sha$(n).lib.o sha$(n)_stubs.o sha$(n).cmx)

all: sha1.cmi sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa sha.cma sha.cmxa

bins: $(PROGRAMS)

sha1sum: shacommon.cmx sha1.cmxa sha256.cmxa sha512.cmxa shasum.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -o $@ -cclib -L. $+

sha256sum: sha1sum
	cp $< $@

sha512sum: sha1sum
	cp $< $@

sha.cma: shacommon.cmo $(allshabytes)
	$(OCAMLMKLIB) -o sha $(allshabytes)

sha.cmxa: shacommon.cmo $(allshaopts)
	$(OCAMLMKLIB) -o sha $(allshaopts)

sha1.cma: shacommon.cmo sha1.cmi sha1.lib.o sha1_stubs.o sha1.cmo
	$(OCAMLMKLIB) -o sha1 sha1.lib.o sha1_stubs.o sha1.cmo

sha1.cmxa: shacommon.cmx sha1.cmi sha1.lib.o sha1_stubs.o sha1.cmx
	$(OCAMLMKLIB) -o sha1 sha1.lib.o sha1_stubs.o sha1.cmx

sha256.cma: shacommon.cmo sha256.cmi sha256.lib.o sha256_stubs.o sha256.cmo
	$(OCAMLMKLIB) -o sha256 sha256.lib.o sha256_stubs.o sha256.cmo

sha256.cmxa: shacommon.cmx sha256.cmi sha256.lib.o sha256_stubs.o sha256.cmx
	$(OCAMLMKLIB) -o sha256 sha256.lib.o sha256_stubs.o sha256.cmx

sha512.cma: shacommon.cmo sha512.cmi sha512.lib.o sha512_stubs.o sha512.cmo
	$(OCAMLMKLIB) -o sha512 sha512.lib.o sha512_stubs.o sha512.cmo

sha512.cmxa: shacommon.cmx sha512.cmi sha512.lib.o sha512_stubs.o sha512.cmx
	$(OCAMLMKLIB) -o sha512 sha512.lib.o sha512_stubs.o sha512.cmx

tests: sha.test
	./sha.test

sha.test: sha1.cmxa sha256.cmxa sha512.cmxa sha.test.cmx

%.test:
	$(OCAMLOPT) -o $@ $(OCAML_BFLAGS) unix.cmxa $(OCAML_TEST_INC) $(OCAML_TEST_LIB) $+

%.test.cmo: %.test.ml
	$(OCAMLC) -c -o $@ $(OCAML_BFLAGS) -custom $(OCAML_TEST_INC) $<

%.test.cmx: %.test.ml
	$(OCAMLOPT) -c -o $@ $(OCAML_BFLAGS) $(OCAML_TEST_INC) $<

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(OCAMLC) -ccopt "$(CFLAGS)" -c -o $@ $<

%.lib.o: %.o
	mv $< $@

.PHONY: clean install uninstall doc
doc:
	[ -d html ] && rm -f html/* || mkdir html
	ocamldoc -html -d html *.mli

clean:
	rm -f *.o *.a *.cmo *.cmi *.cma *.cmx *.cmxa sha.test $(PROGRAMS)

install: sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa sha.cma sha.cmxa META
	ocamlfind install sha META *.cmx sha1.cmi sha1.cma sha1.cmxa sha256.cmi sha256.cma sha256.cmxa sha512.cmi sha512.cma sha512.cmxa sha.cma sha.cmxa *.a *.so

uninstall:
	ocamlfind remove sha

## ocaml-sha 1.7

=== debian/changelog ===
ocaml-sha (1.7-2) unstable; urgency=low

  * Add Makefile targets for bytecode-only architectures
    (closes: #616176)

 -- Eric Cooper <ecc@cmu.edu>  Wed, 02 Mar 2011 19:54:10 -0500

ocaml-sha (1.7-1) unstable; urgency=low

  * Use dh instead of cdbs
  * Suggest ocaml-findlib
  * Update standards version and build dependencies
  * Make debian/copyright file machine-readable
  * Improve short descriptions
  * Add debian/source/format
  * Use debian/patches for all changes to upstream source

 -- Eric Cooper <ecc@cmu.edu>  Fri, 25 Feb 2011 14:04:25 -0500

ocaml-sha (1.6-1) unstable; urgency=low

  * New upstream version

 -- Eric Cooper <ecc@cmu.edu>  Fri, 09 Oct 2009 09:59:30 -0400

ocaml-sha (1.5-4) unstable; urgency=low

  * Make install target work correctly on bytecode-only architectures
    (closes: #550298)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 08 Oct 2009 20:44:50 -0400

ocaml-sha (1.5-3) unstable; urgency=low

  * Use DESTDIR with ocamlfind for install target
  * Convert to dh_ocaml version 0.9

 -- Eric Cooper <ecc@cmu.edu>  Wed, 07 Oct 2009 10:21:30 -0400

ocaml-sha (1.5-2) unstable; urgency=low

  * Compile C files with -fPIC (closes: #518038)
  * Change Maintainer to d-o-m
  * Add shasum.ml example in -dev package

 -- Eric Cooper <ecc@cmu.edu>  Tue, 03 Mar 2009 15:43:10 -0500

ocaml-sha (1.5-1) unstable; urgency=low

  * New upstream version
  * Use modified upstream Makefile
  * Add dh-ocaml and drop ocamlmakefile from build-deps

 -- Eric Cooper <ecc@cmu.edu>  Sun, 01 Mar 2009 16:39:29 -0500

ocaml-sha (1.4-6) UNRELEASED; urgency=low

  [ Stefano Zacchiroli ]
  * NOT RELEASED YET

  [ Eric Cooper]
  * Update standards version

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Eric Cooper <ecc@cmu.edu>  Mon, 15 Dec 2008 09:28:10 -0500

ocaml-sha (1.4-5) unstable; urgency=low

  [ Eric Cooper ]
  * Remove XS- prefix from Vcs- fields in debian/control
  * Add DM-Upload-Allowed to debian/control

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field

 -- Eric Cooper <ecc@cmu.edu>  Sun, 03 Feb 2008 18:00:22 -0500

ocaml-sha (1.4-4) unstable; urgency=low

  * Use support for ocamldoc in OCaml cdbs class

 -- Eric Cooper <ecc@cmu.edu>  Mon, 03 Sep 2007 18:18:40 -0400

ocaml-sha (1.4-3) unstable; urgency=low

  * Changed ${Source-Version} substvar to ${binary:Version} in debian/control

 -- Eric Cooper <ecc@cmu.edu>  Thu, 02 Aug 2007 17:20:31 -0400

ocaml-sha (1.4-2) unstable; urgency=low

  * Replaced dependency on ocaml-tools by ocamlmakefile.
  * Added myself to uploaders.

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Jun 2007 22:16:25 +0200

ocaml-sha (1.4-1) unstable; urgency=low

  * New upstream version

 -- Eric Cooper <ecc@cmu.edu>  Sun, 22 Apr 2007 12:23:52 -0400

ocaml-sha (1.3-1) unstable; urgency=low

  * New upstream version

 -- Eric Cooper <ecc@cmu.edu>  Sun,  3 Sep 2006 09:13:11 -0400

ocaml-sha (1.2-1) unstable; urgency=low

  * New upstream version (renamed)

 -- Eric Cooper <ecc@cmu.edu>  Thu, 31 Aug 2006 11:00:53 -0400

ocaml-sha1 (0.9-2) unstable; urgency=low

  * Work around incorrect OCamlMakefile libinstall on architectures without
    ocamlopt (ocaml-tools bug #381638), closes: #381620

 -- Eric Cooper <ecc@cmu.edu>  Sun,  6 Aug 2006 14:26:19 -0400

ocaml-sha1 (0.9-1) unstable; urgency=low

  * New upstream version

 -- Eric Cooper <ecc@cmu.edu>  Mon, 31 Jul 2006 12:06:20 -0400

ocaml-sha1 (0.8-2) unstable; urgency=low

  * Add libsha1-ocaml package with runtime stub libraries
  * Convert debian/rules to CDBS

 -- Eric Cooper <ecc@cmu.edu>  Tue, 25 Jul 2006 14:21:30 -0400

ocaml-sha1 (0.8-1) unstable; urgency=low

  * Initial packaging
  * Closes: #378938

 -- Eric Cooper <ecc@cmu.edu>  Sun, 23 Jul 2006 14:30:00 -0400

=== debian/control ===
Source: ocaml-sha
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Eric Cooper <ecc@cmu.edu>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.0),
 ocaml-nox (>= 3.11.2),
 ocaml-findlib,
 dh-ocaml (>= 0.9.6)
Standards-Version: 3.9.1
Homepage: http://tab.snarc.org/projects/ocaml_sha
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sha.git

Package: libsha-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: SHA cryptographic hash functions for OCaml (runtime)
 SHA-1 produces a 160-bit digest from its input.
 SHA-256 and SHA-512 produce 256-bit and 512-bit digests
 from their inputs, respectively.
 .
 This package contains the shared runtime stub libraries.

Package: libsha-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: SHA cryptographic hash functions for OCaml (development files)
 SHA-1 produces a 160-bit digest from its input.
 SHA-256 and SHA-512 produce 256-bit and 512-bit digests
 from their inputs, respectively.
 .
 This package contains the files needed to compile OCaml programs
 that use the SHA library.

=== debian/watch ===
version=3

http://tab.snarc.org/download/ocaml/ocaml_sha-(.*)\.tar\.bz2

## ocaml-sha 1.9

=== Makefile ===
CFLAGS = -Wall -O3 -funroll-loops -I/usr/include
OCAMLC = ocamlc
OCAMLOPT = ocamlopt
OCAMLMKLIB = ocamlmklib

# on unix architecture we just use the default value
EXE=
OBJ=o
A=a
SO=so

# on windows architecture redefine some values
ifeq "$(shell ocamlc -config | fgrep 'os_type:')" "os_type: Win32"
	EXE=.exe
	SO=dll
ifeq "$(shell ocamlc -config | fgrep 'ccomp_type:')" "ccomp_type: msvc"
	OBJ=obj
	A=lib
endif
endif

OCAMLOPTFLAGS =

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

PROGRAMS_BINS = sha1sum sha256sum sha512sum
PROGRAMS = $(addsuffix $(EXE), $(PROGRAMS_BINS))

allshabytes = $(foreach n, 1 256 512, sha$(n).lib.$(OBJ) sha$(n)_stubs.$(OBJ) sha$(n).cmo)
allshaopts  = $(foreach n, 1 256 512, sha$(n).lib.$(OBJ) sha$(n)_stubs.$(OBJ) sha$(n).cmx)

all: sha1.cmi sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa sha.cma sha.cmxa

bins: $(PROGRAMS)

sha1sum$(EXE): sha1.cmxa sha256.cmxa sha512.cmxa shasum.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -o $@ -cclib -L. $+

sha256sum$(EXE): sha1sum$(EXE)
	cp $< $@

sha512sum$(EXE): sha1sum$(EXE)
	cp $< $@

sha.cma: $(allshabytes)
	$(OCAMLMKLIB) -o sha $(allshabytes)

sha.cmxa: $(allshaopts)
	$(OCAMLMKLIB) -o sha $(allshaopts)

sha1.cma: sha1.cmi sha1.lib.$(OBJ) sha1_stubs.$(OBJ) sha1.cmo
	$(OCAMLMKLIB) -o sha1 sha1.lib.$(OBJ) sha1_stubs.$(OBJ) sha1.cmo

sha1.cmxa: sha1.cmi sha1.lib.$(OBJ) sha1_stubs.$(OBJ) sha1.cmx
	$(OCAMLMKLIB) -o sha1 sha1.lib.$(OBJ) sha1_stubs.$(OBJ) sha1.cmx

sha256.cma: sha256.cmi sha256.lib.$(OBJ) sha256_stubs.$(OBJ) sha256.cmo
	$(OCAMLMKLIB) -o sha256 sha256.lib.$(OBJ) sha256_stubs.$(OBJ) sha256.cmo

sha256.cmxa: sha256.cmi sha256.lib.$(OBJ) sha256_stubs.$(OBJ) sha256.cmx
	$(OCAMLMKLIB) -o sha256 sha256.lib.$(OBJ) sha256_stubs.$(OBJ) sha256.cmx

sha512.cma: sha512.cmi sha512.lib.$(OBJ) sha512_stubs.$(OBJ) sha512.cmo
	$(OCAMLMKLIB) -o sha512 sha512.lib.$(OBJ) sha512_stubs.$(OBJ) sha512.cmo

sha512.cmxa: sha512.cmi sha512.lib.$(OBJ) sha512_stubs.$(OBJ) sha512.cmx
	$(OCAMLMKLIB) -o sha512 sha512.lib.$(OBJ) sha512_stubs.$(OBJ) sha512.cmx

tests: sha.test
	./sha.test

sha.test: sha1.cmxa sha256.cmxa sha512.cmxa sha.test.cmx

%.test:
	$(OCAMLOPT) -o $@ $(OCAML_BFLAGS) unix.cmxa $(OCAML_TEST_INC) $(OCAML_TEST_LIB) $+

%.test.cmo: %.test.ml
	$(OCAMLC) -c -o $@ $(OCAML_BFLAGS) -custom $(OCAML_TEST_INC) $<

%.test.cmx: %.test.ml
	$(OCAMLOPT) -c -o $@ $(OCAML_BFLAGS) $(OCAML_TEST_INC) $<

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.$(OBJ): %.c
	$(OCAMLC) -ccopt "$(CFLAGS)" -c -o $@ $<

%.lib.$(OBJ): %.$(OBJ)
	mv $< $@

.PHONY: clean install uninstall doc
doc:
	[ -d html ] && rm -f html/* || mkdir html
	ocamldoc -html -d html *.mli

clean:
	rm -f *.$(OBJ) *.$(A) *.$(SO) *.cmo *.cmi *.cma *.cmx *.cmxa sha.test $(PROGRAMS)

install: sha1.cma sha1.cmxa sha256.cma sha256.cmxa sha512.cma sha512.cmxa sha.cma sha.cmxa META
	ocamlfind install sha META *.cmx sha1.cmi sha1.cma sha1.cmxa sha256.cmi sha256.cma sha256.cmxa sha512.cmi sha512.cma sha512.cmxa sha.cma sha.cmxa *.$(A) *.$(SO)

uninstall:
	ocamlfind remove sha

=== debian/changelog ===
ocaml-sha (1.9-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:43 +0000

ocaml-sha (1.9-1) unstable; urgency=low

  * New upstream version (closes: #663520)
  * Patch C stubs to silence gcc warnings
  * Update standards version and build dependencies
  * Drop DM-Upload-Allowed
  * Update copyright format
  * Update Homepage and VCS-* fields
  * Increased debhelper compatibility level to 9
  * Update watch file for github

 -- Eric Cooper <ecc@cmu.edu>  Fri, 01 Nov 2013 20:05:22 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
-DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.0),
- ocaml-nox (>= 3.11.2),
+ debhelper (>= 9),
+ ocaml-nox,
  ocaml-findlib,
- dh-ocaml (>= 0.9.6)
-Standards-Version: 3.9.1
-Homepage: http://tab.snarc.org/projects/ocaml_sha
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sha.git
+ dh-ocaml
+Standards-Version: 3.9.4
+Homepage: https://github.com/vincenthz/ocaml-sha
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sha.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
 
 Package: libsha-ocaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with ocaml

export OCAMLFIND_DESTDIR = debian/tmp/$(shell /usr/bin/ocamlc -where)
export OCAMLFIND_LDCONF = ignore

ifneq ($(wildcard /usr/bin/ocamlopt),)
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install
else
override_dh_auto_build:
	$(MAKE) all-byte

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install-byte
endif

=== debian/watch ===
version=3
http://github.com/vincenthz/ocaml-sha/releases \
.*/(?:ocaml-sha-)?v(.*)\.tar\.gz

## ocaml-sha 1.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS = -Wall -O3 -funroll-loops -I/usr/include
+CFLAGS = -Wall -O3 -funroll-loops
 OCAMLC = ocamlc
 OCAMLOPT = ocamlopt
 OCAMLMKLIB = ocamlmklib

=== debian/changelog ===
ocaml-sha (1.11-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:06 +0000

ocaml-sha (1.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add a patch to fix possible GC crash
    - add debian/patches/0007-Fix-a-possible-GC-crash.patch
  * Update Vcs-* fields
  * ocaml-sha has been relicensed under ISC, update d/copyright
    file accordingly

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 14:36:20 +0200

ocaml-sha (1.9-2) unstable; urgency=medium

  * Include *.cmx files in package
  * Update Standards-Version and debhelper version
  * Update patches

 -- Eric Cooper <ecc@cmu.edu>  Sun, 23 Jul 2017 18:01:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ocaml-sha
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  ocaml-nox,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: https://github.com/vincenthz/ocaml-sha
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sha.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sha
 
 Package: libsha-ocaml
 Architecture: any

## ocaml-sha 1.13

=== Makefile ===
all:
	dune build --dev @install

test:
	dune runtest

doc:
	dune build @doc

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

.PHONY: all test doc install uninstall clean

=== debian/changelog ===
ocaml-sha (1.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Aug 2020 09:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ocaml-sha
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
+ ocaml-dune,
+ libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.0.0
-Homepage: https://github.com/vincenthz/ocaml-sha
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/djs55/ocaml-sha
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sha

=== debian/watch ===
version=3
https://github.com/djs55/ocaml-sha/releases \
.*/(?:ocaml-sha-)?v(.*)\.tar\.gz

## ocaml-sha 1.15.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 all:
-	dune build --dev @install
+	dune build @install
 
 test:
 	dune runtest

=== debian/changelog ===
ocaml-sha (1.15.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:57 +0100

ocaml-sha (1.15.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 13:10:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/djs55/ocaml-sha
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p sha

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/sha/LICENSE.md

=== debian/watch ===
version=4
https://github.com/djs55/ocaml-sha/releases .*sha-v?([0-9.]+)\.tbz

## ocaml-sha 1.15.2

=== debian/changelog ===
ocaml-sha (1.15.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 15:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml

## ocaml-sha 1.15.4

=== debian/changelog ===
ocaml-sha (1.15.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI
  * Set upstream metadata fields
  * debian/watch: Use GitHub /tags rather than /releases page
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 03:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/djs55/ocaml-sha
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git

=== debian/watch ===
version=4
https://github.com/djs55/ocaml-sha/tags .*sha-v?([0-9.]+)\.tbz
